Увійти на сайт

Які технічні вимоги?

Вимоги до клієнтського програмного забезпечення.
Система «Бітрікс» розроблена з використанням і підтримкою наступних технологій:
  • HTML/XHTML
  • JavaScript
  • AJAX - технологія використовується в публічному інтерфейсі продукту, компонентах 2.0, адміністративній панелі керування для прискорення роботи з інформацією сайту і зменшення кількості переданих даних від сервера до клієнта.
  • CSS - система передбачає використання різних таблиць каскадних стилів для кожного шаблону сайту;
  • Flash - система обмежено підтримує технологію Macromedia (нині Adobe) Flash;
  • RSS - продукт, що підтримує стандарт RSS версії 0.92 і 2.0;
  • CommerceML - система реалізована з підтримкою стандарту CommerceML версії 1.0;
  • CSV - система використовує стандарт CSV для організації обміну даними модуля інформаційних блоків з іншими системами;
  • Підтримка браузерів – програмний продукт розроблений з урахуванням підтримки найбільш поширених браузерів. Адміністративна частина оптимізована для роботи з ними. Відображення публічної частини сайту не залежить від типу браузера.
Детальніше про технічні вимоги до клієнтського ПЗ описано в навчальному курсі «Підтримка стандартів і технологій. Вимоги до клієнтського програмного забезпечення»

Вимоги до серверного програмного забезпечення.
Веб-сервер, який може виконувати PHP програми, з кількома варіантами попередньо встановленого програмного забезпечення:
  • Apache (рекомендується) версії 1.3 і вище;
  • IIS (Internet Information Server) (можливе встановлення) – робота продукту можлива з IIS 5, IIS 6 і IIS 7 і 7.5. Потрібно додаткове налаштування для коректної роботи з продуктом.
  • Eserv (можливе встановлення) – продукт протестований для спільної роботи з веб-сервером.
  • PHP. Для роботи продукту потрібна наявність PHP версії не нижче 5.3.х.
Для коректної роботи продукту потрібно також наявність наступних розширень PHP:
  • GD – бібліотека для роботи із зображеннями, потрібна для побудови графіків і діаграм для модулів статистики, реклами, техпідтримки. Використовується для роботи механізму CAPTCHA.
  • PHP XML – використовується для роботи системи оновлень. Бібліотека за замовчуванням включена в стандартному встановленні PHP. Для версії під Windows - вбудована підтримка.
  • FreeType – бібліотека необхідна для коректної роботи механізму CAPTCHA.
  • Підтримка регулярних виразів POSIX і Perl-compatible) – необхідна для коректної роботи внутрішніх механізмів продукту.
  • Zlib compression – бібліотека компресії використовується для роботи модуля Компресії та при роботі системи оновлень для зменшення кількості переданих даних від сервера до клієнта.
Підтримка серверів баз даних.
  • MySQL – мінімальним технічними вимогами є використання версії MySQL 5.0 і вище.
  • Для роботи з СУБД MySQL потрібна встановлена підтримка MySQL PHP.
  • Oracle та Oracle XE (тільки у «Бітрікс:Enterprise»)  – продукт поставляється з підтримкою СУБД Oracle. Для коректної роботи продукту необхідна наявність встановленої версії Oracle 10g і вище або стабільної версії Oracle XE.
  • MSSQL/MSSQL Express (тільки у «Бітрікс:Enterprise») - продукт поставляється з підтримкою СУБД MSSQL. Для коректної роботи продукту необхідна наявність встановленої СУБД MS SQL 10.0 (2008) або MS SQL 2008 XE і вище (у версії продукту 14.5).
  • Детальніше про технічні вимоги до серверного ПЗ описано в навчальному курсі «Вимоги до серверного програмного забезпечення».